## libyaml-libyaml-perl 0.33

=== LibYAML/Makefile ===
# This Makefile is for the YAML::XS::LibYAML extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.42 (Revision: 41145) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#
#   MakeMaker Parameters:

#     ABSTRACT_FROM => q[lib/YAML/XS/LibYAML.pm]
#     AUTHOR => q[Ingy döt Net <ingy@cpan.org>]
#     DEFINE => q[-DHAVE_CONFIG_H]
#     INC => q[-I.]
#     LIBS => [q[]]
#     NAME => q[YAML::XS::LibYAML]
#     OBJECT => q[api.o dumper.o emitter.o loader.o parser.o perl_libyaml.o reader.o scanner.o writer.o LibYAML.o]
#     PREREQ_PM => {  }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/local/lib/perl5/5.10.0/darwin-2level/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = cc
CCCDLFLAGS =  
CCDLFLAGS =  
DLEXT = bundle
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = env MACOSX_DEPLOYMENT_TARGET=10.3 cc
LDDLFLAGS =  -bundle -undefined dynamic_lookup -L/usr/local/lib -L/opt/local/lib
LDFLAGS =  -L/usr/local/lib -L/opt/local/lib
LIBC = 
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = darwin
OSVERS = 10.2.0
RANLIB = ranlib
SITELIBEXP = /usr/local/lib/perl5/site_perl/5.10.0
SITEARCHEXP = /usr/local/lib/perl5/site_perl/5.10.0/darwin-2level
SO = dylib
VENDORARCHEXP = 
VENDORLIBEXP = 


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = YAML::XS::LibYAML
NAME_SYM = YAML_XS_LibYAML
VERSION = 
VERSION_MACRO = VERSION
VERSION_SYM = 
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = ../blib/arch
INST_SCRIPT = ../blib/script
INST_BIN = ../blib/bin
INST_LIB = ../blib/lib
INST_MAN1DIR = ../blib/man1
INST_MAN3DIR = ../blib/man3
MAN1EXT = 1
MAN3EXT = 3
INSTALLDIRS = site
DESTDIR = 
PREFIX = $(SITEPREFIX)
PERLPREFIX = /usr/local
SITEPREFIX = /usr/local
VENDORPREFIX = 
INSTALLPRIVLIB = /usr/local/lib/perl5/5.10.0
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = /usr/local/lib/perl5/site_perl/5.10.0
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = 
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = /usr/local/lib/perl5/5.10.0/darwin-2level
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = /usr/local/lib/perl5/site_perl/5.10.0/darwin-2level
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = 
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = /usr/local/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = /usr/local/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = 
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = /usr/local/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = /usr/local/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = 
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = /usr/local/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = /usr/local/share/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = 
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = /usr/local/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = /usr/local/share/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = 
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /usr/local/lib/perl5/5.10.0
PERL_ARCHLIB = /usr/local/lib/perl5/5.10.0/darwin-2level
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/local/lib/perl5/5.10.0/darwin-2level/CORE
PERL = /usr/local/bin/perl
FULLPERL = /usr/local/bin/perl
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /usr/local/lib/perl5/5.10.0/ExtUtils/MakeMaker.pm
MM_VERSION  = 6.42
MM_REVISION = 41145

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = YAML/XS/LibYAML
BASEEXT = LibYAML
PARENT_NAME = YAML::XS
DLBASE = $(BASEEXT)
VERSION_FROM = 
INC = -I.
DEFINE = -DHAVE_CONFIG_H
OBJECT = api$(OBJ_EXT) dumper$(OBJ_EXT) emitter$(OBJ_EXT) loader$(OBJ_EXT) parser$(OBJ_EXT) perl_libyaml$(OBJ_EXT) reader$(OBJ_EXT) scanner$(OBJ_EXT) writer$(OBJ_EXT) LibYAML$(OBJ_EXT)
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = LibYAML.xs
C_FILES  = LibYAML.c \
	api.c \
	dumper.c \
	emitter.c \
	loader.c \
	parser.c \
	perl_libyaml.c \
	reader.c \
	scanner.c \
	writer.c
O_FILES  = LibYAML.o \
	api.o \
	dumper.o \
	emitter.o \
	loader.o \
	parser.o \
	perl_libyaml.o \
	reader.o \
	scanner.o \
	writer.o
H_FILES  = config.h \
	perl_libyaml.h \
	ppport.h \
	ppport_sort.h \
	yaml.h \
	yaml_private.h
MAN1PODS = 
MAN3PODS = lib/YAML/XS/LibYAML.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)$(DFSEP)Config.pm $(PERL_INC)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)/YAML/XS
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/YAML/XS

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = $(INST_ARCHAUTODIR)/$(BASEEXT)$(LIB_EXT)
INST_DYNAMIC     = $(INST_ARCHAUTODIR)/$(DLBASE).$(DLEXT)
INST_BOOT        = $(INST_ARCHAUTODIR)/$(BASEEXT).bs

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = lib/YAML/XS/LibYAML.pm

PM_TO_BLIB = lib/YAML/XS/LibYAML.pm \
	../blib/lib/YAML/XS/LibYAML.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 6.42
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:

XSUBPPDIR = /usr/local/lib/perl5/5.10.0/ExtUtils
XSUBPP = $(XSUBPPDIR)$(DFSEP)xsubpp
XSUBPPRUN = $(PERLRUN) $(XSUBPP)
XSPROTOARG = 
XSUBPPDEPS = /usr/local/lib/perl5/5.10.0/ExtUtils/typemap $(XSUBPP)
XSUBPPARGS = -typemap /usr/local/lib/perl5/5.10.0/ExtUtils/typemap
XSUBPP_EXTRA_ARGS = 


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(SHELL) -c true
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) "-MExtUtils::Command" -e mkpath
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) "-MExtUtils::Command" -e eqtime
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install({@ARGV}, '\''$(VERBINST)'\'', 0, '\''$(UNINST)'\'');' --
DOC_INSTALL = $(ABSPERLRUN) "-MExtUtils::Command::MM" -e perllocal_install
UNINSTALL = $(ABSPERLRUN) "-MExtUtils::Command::MM" -e uninstall
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) "-MExtUtils::Command::MM" -e warn_if_old_packlist
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(PERLRUN) "-MExtUtils::MY" -e "MY->fixin(shift)"


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section skipped.

# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:

CCFLAGS = -fno-common -DPERL_DARWIN -no-cpp-precomp -fno-strict-aliasing -pipe -I/usr/local/include -I/opt/local/include
OPTIMIZE = -O3
PERLTYPE = 
MPOLLUTE = 


# --- MakeMaker const_loadlibs section:

# YAML::XS::LibYAML might depend on some other libraries:
# See ExtUtils::Liblist for details
#


# --- MakeMaker const_cccmd section:
CCCMD = $(CC) -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION)

# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	OPTIMIZE="$(OPTIMIZE)"\
	PREFIX="$(PREFIX)"\
	PASTHRU_DEFINE="$(PASTHRU_DEFINE)"\
	PASTHRU_INC="$(PASTHRU_INC)"


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir



# --- MakeMaker c_o section:

.c.i:
	cc -E -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c > $*.i

.c.s:
	$(CCCMD) -S $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.c$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.cpp$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cpp

.cxx$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cxx

.cc$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cc

.C$(OBJ_EXT):
	$(CCCMD) $*.C


# --- MakeMaker xs_c section:

.xs.c:
	$(XSUBPPRUN) $(XSPROTOARG) $(XSUBPPARGS) $(XSUBPP_EXTRA_ARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c


# --- MakeMaker xs_o section:

.xs$(OBJ_EXT):
	$(XSUBPPRUN) $(XSPROTOARG) $(XSUBPPARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)


pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) blibdirs
	$(NOECHO) $(NOOP)

$(O_FILES): $(H_FILES)

help :
	perldoc ExtUtils::MakeMaker


# --- MakeMaker blibdirs section:
blibdirs : $(INST_LIBDIR)$(DFSEP).exists $(INST_ARCHLIB)$(DFSEP).exists $(INST_AUTODIR)$(DFSEP).exists $(INST_ARCHAUTODIR)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists $(INST_SCRIPT)$(DFSEP).exists $(INST_MAN1DIR)$(DFSEP).exists $(INST_MAN3DIR)$(DFSEP).exists
	$(NOECHO) $(NOOP)

# Backwards compat with 6.18 through 6.25
blibdirs.ts : blibdirs
	$(NOECHO) $(NOOP)

$(INST_LIBDIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(CHMOD) 755 $(INST_LIBDIR)
	$(NOECHO) $(TOUCH) $(INST_LIBDIR)$(DFSEP).exists

$(INST_ARCHLIB)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHLIB)
	$(NOECHO) $(CHMOD) 755 $(INST_ARCHLIB)
	$(NOECHO) $(TOUCH) $(INST_ARCHLIB)$(DFSEP).exists

$(INST_AUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(CHMOD) 755 $(INST_AUTODIR)
	$(NOECHO) $(TOUCH) $(INST_AUTODIR)$(DFSEP).exists

$(INST_ARCHAUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(CHMOD) 755 $(INST_ARCHAUTODIR)
	$(NOECHO) $(TOUCH) $(INST_ARCHAUTODIR)$(DFSEP).exists

$(INST_BIN)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_BIN)
	$(NOECHO) $(CHMOD) 755 $(INST_BIN)
	$(NOECHO) $(TOUCH) $(INST_BIN)$(DFSEP).exists

$(INST_SCRIPT)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_SCRIPT)
	$(NOECHO) $(CHMOD) 755 $(INST_SCRIPT)
	$(NOECHO) $(TOUCH) $(INST_SCRIPT)$(DFSEP).exists

$(INST_MAN1DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN1DIR)
	$(NOECHO) $(CHMOD) 755 $(INST_MAN1DIR)

=== debian/changelog ===
libyaml-libyaml-perl (0.33-1+squeeze3) squeeze-security; urgency=high

  * Team upload.
  * Add CVE-2014-2525.patch patch.
    CVE-2014-2525: Heap overflow when parsing YAML tags.
    The heap overflow is caused by not properly expanding a string before
    writing to it in function yaml_parser_scan_uri_escapes in scanner.c.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 23 Mar 2014 08:38:33 +0100

libyaml-libyaml-perl (0.33-1+squeeze2) squeeze-security; urgency=high

  * Team upload.
  * Add libyaml-string-overflow.patch patch.
    Addresses CVE-2013-6393 for the LibYAML embedded copy in YAML::LibYAML.
  * Add libyaml-node-id-hardening.patch patch.
    Guard against integer overflow.
  * Add libyaml-guard-against-overflows-in-indent-and-flow_level.patch patch.
    Guard against overflows in indent and flow_level.

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 06 Mar 2014 21:59:23 +0100

libyaml-libyaml-perl (0.33-1+squeeze1) stable-security; urgency=high

  * [SECURITY] CVE-2012-1152: Fix format string vulnerabilities in
    YAML parsing. (Closes: #661548)

 -- Niko Tyni <ntyni@debian.org>  Sat, 10 Mar 2012 08:46:55 +0200

libyaml-libyaml-perl (0.33-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release (Closes: #578629).
  * This version has fixes for Perl 5.12
  * Use new 3.0 (quilt) source format
  * Use new DEP5 copyright format
  * Rewrite control description
  * Standards-Version 3.8.4 (drop perl version dep)
  * Add myself to Uploaders and Copyright

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Ryan Niebur ]
  * Update ryan52's email address

  [ gregor herrmann ]
  * debian/copyright: update years of upstream copyright.

 -- Jonathan Yu <jawnsy@cpan.org>  Sun, 02 May 2010 10:52:35 -0400

libyaml-libyaml-perl (0.32-1) unstable; urgency=low

  * Initial Release. (Closes: #531150)

 -- Ryan Niebur <ryanryan52@gmail.com>  Mon, 01 Jun 2009 02:17:22 -0700

=== debian/control ===
Source: libyaml-libyaml-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 7), perl, libyaml-dev
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Ryan Niebur <ryan@debian.org>, Jonathan Yu <jawnsy@cpan.org>
Standards-Version: 3.8.4
Homepage: http://search.cpan.org/dist/YAML-LibYAML/
Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/libyaml-libyaml-perl/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-perl/trunk/libyaml-libyaml-perl/

Package: libyaml-libyaml-perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Perl interface to libyaml, a YAML implementation
 YAML::LibYAML (or YAML::XS) is a Perl interface to Kirill Siminov's libyaml
 library, a YAML Ain't Markup Language (YAML) implementation written in C to
 support the YAML 1.1 specification. There provided Dump and Load routines
 are compatible with the Perl YAML module (see libyaml-perl).

=== debian/watch ===
version=3
http://search.cpan.org/dist/YAML-LibYAML/   .*/YAML-LibYAML-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## libyaml-libyaml-perl 0.34

=== debian/changelog ===
libyaml-libyaml-perl (0.34-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.9.1 (no changes)
  * Added me to Uploaders (debian/control) and debian/copyright file
  
 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Fri, 24 Sep 2010 17:35:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), perl, libyaml-dev
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
-Uploaders: Ryan Niebur <ryan@debian.org>, Jonathan Yu <jawnsy@cpan.org>
-Standards-Version: 3.8.4
+Uploaders: Ryan Niebur <ryan@debian.org>, Jonathan Yu <jawnsy@cpan.org>,
+ Krzysztof Krzyżaniak (eloy) <eloy@debian.org>
+Standards-Version: 3.9.1
 Homepage: http://search.cpan.org/dist/YAML-LibYAML/
 Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/libyaml-libyaml-perl/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-perl/trunk/libyaml-libyaml-perl/

## libyaml-libyaml-perl 0.35

=== debian/changelog ===
libyaml-libyaml-perl (0.35-1build1) oneiric; urgency=low

  * Rebuild for Perl 5.12.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 08 May 2011 13:38:49 +0100

libyaml-libyaml-perl (0.35-1) unstable; urgency=low

  * Team upload.
  * New upstream release
  * debian/copyright:
    - Update copyright years.
    - Explicitly point to GPL-1 license text in common-licenses.
    - Refer to Debian systems in general instead of only Debian GNU/Linux
      systems.
  * Bump Debhelper compat level to 8.
  * debian/control: Bump versioned Build-Depends on debhelper to (>= 8). 
  * Bump Standards-Version to 3.9.2.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 15 Apr 2011 22:41:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: libyaml-libyaml-perl
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 7), perl, libyaml-dev
+Build-Depends: debhelper (>= 8), perl, libyaml-dev
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Ryan Niebur <ryan@debian.org>, Jonathan Yu <jawnsy@cpan.org>,
  Krzysztof Krzyżaniak (eloy) <eloy@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://search.cpan.org/dist/YAML-LibYAML/
 Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/libyaml-libyaml-perl/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-perl/trunk/libyaml-libyaml-perl/

## libyaml-libyaml-perl 0.37

=== debian/changelog ===
libyaml-libyaml-perl (0.37-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ gregor herrmann ]
  * New upstream release.
  * Update copyright years for inc/Module/*.
  * Add /me to Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Sat, 01 Oct 2011 17:23:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Build-Depends: debhelper (>= 8), perl, libyaml-dev
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Ryan Niebur <ryan@debian.org>, Jonathan Yu <jawnsy@cpan.org>,
- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>
+ Krzysztof Krzyżaniak (eloy) <eloy@debian.org>,
+ gregor herrmann <gregoa@debian.org>
 Standards-Version: 3.9.2
 Homepage: http://search.cpan.org/dist/YAML-LibYAML/
-Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/libyaml-libyaml-perl/
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-perl/trunk/libyaml-libyaml-perl/
+Vcs-Git: git://git.debian.org/pkg-perl/packages/libyaml-libyaml-perl.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libyaml-libyaml-perl.git
 
 Package: libyaml-libyaml-perl
 Architecture: any

## libyaml-libyaml-perl 0.38

=== LibYAML/Makefile ===
--- 
+++ 
@@ -1,17 +1,20 @@
 # This Makefile is for the YAML::XS::LibYAML extension to perl.
 #
 # It was generated automatically by MakeMaker version
-# 6.42 (Revision: 41145) from the contents of
+# 6.62 (Revision: 66200) from the contents of
 # Makefile.PL. Don't edit this file, edit Makefile.PL instead.
 #
 #       ANY CHANGES MADE HERE WILL BE LOST!
 #
 #   MakeMaker ARGV: ()
 #
+
 #   MakeMaker Parameters:
 
 #     ABSTRACT_FROM => q[lib/YAML/XS/LibYAML.pm]
-#     AUTHOR => q[Ingy döt Net <ingy@cpan.org>]
+#     AUTHOR => [q[Ingy döt Net <ingy@cpan.org>]]
+#     BUILD_REQUIRES => {  }
+#     CONFIGURE_REQUIRES => {  }
 #     DEFINE => q[-DHAVE_CONFIG_H]
 #     INC => q[-I.]
 #     LIBS => [q[]]
@@ -24,31 +27,30 @@
 
 # --- MakeMaker const_config section:
 
-# These definitions are from config.sh (via /usr/local/lib/perl5/5.10.0/darwin-2level/Config.pm)
-
-# They may have been overridden via Makefile.PL or on the command line
+# These definitions are from config.sh (via /usr/lib/perl/5.12/Config.pm).
+# They may have been overridden via Makefile.PL or on the command line.
 AR = ar
 CC = cc
-CCCDLFLAGS =  
-CCDLFLAGS =  
-DLEXT = bundle
+CCCDLFLAGS = -fPIC
+CCDLFLAGS = -Wl,-E
+DLEXT = so
 DLSRC = dl_dlopen.xs
 EXE_EXT = 
 FULL_AR = /usr/bin/ar
-LD = env MACOSX_DEPLOYMENT_TARGET=10.3 cc
-LDDLFLAGS =  -bundle -undefined dynamic_lookup -L/usr/local/lib -L/opt/local/lib
-LDFLAGS =  -L/usr/local/lib -L/opt/local/lib
+LD = cc
+LDDLFLAGS = -shared -O2 -g -L/usr/local/lib -fstack-protector
+LDFLAGS =  -fstack-protector -L/usr/local/lib
 LIBC = 
 LIB_EXT = .a
 OBJ_EXT = .o
-OSNAME = darwin
-OSVERS = 10.2.0
-RANLIB = ranlib
-SITELIBEXP = /usr/local/lib/perl5/site_perl/5.10.0
-SITEARCHEXP = /usr/local/lib/perl5/site_perl/5.10.0/darwin-2level
-SO = dylib
-VENDORARCHEXP = 
-VENDORLIBEXP = 
+OSNAME = linux
+OSVERS = 2.6.24-28-server
+RANLIB = :
+SITELIBEXP = /usr/local/share/perl/5.12.4
+SITEARCHEXP = /usr/local/lib/perl/5.12.4
+SO = so
+VENDORARCHEXP = /usr/lib/perl5
+VENDORLIBEXP = /usr/share/perl5
 
 
 # --- MakeMaker constants section:
@@ -70,60 +72,60 @@
 INST_LIB = ../blib/lib
 INST_MAN1DIR = ../blib/man1
 INST_MAN3DIR = ../blib/man3
-MAN1EXT = 1
-MAN3EXT = 3
+MAN1EXT = 1p
+MAN3EXT = 3pm
 INSTALLDIRS = site
 DESTDIR = 
 PREFIX = $(SITEPREFIX)
-PERLPREFIX = /usr/local
+PERLPREFIX = /usr
 SITEPREFIX = /usr/local
-VENDORPREFIX = 
-INSTALLPRIVLIB = /usr/local/lib/perl5/5.10.0
+VENDORPREFIX = /usr
+INSTALLPRIVLIB = /usr/share/perl/5.12
 DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
-INSTALLSITELIB = /usr/local/lib/perl5/site_perl/5.10.0
+INSTALLSITELIB = /usr/local/share/perl/5.12.4
 DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
-INSTALLVENDORLIB = 
+INSTALLVENDORLIB = /usr/share/perl5
 DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
-INSTALLARCHLIB = /usr/local/lib/perl5/5.10.0/darwin-2level
+INSTALLARCHLIB = /usr/lib/perl/5.12
 DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
-INSTALLSITEARCH = /usr/local/lib/perl5/site_perl/5.10.0/darwin-2level
+INSTALLSITEARCH = /usr/local/lib/perl/5.12.4
 DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
-INSTALLVENDORARCH = 
+INSTALLVENDORARCH = /usr/lib/perl5
 DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
-INSTALLBIN = /usr/local/bin
+INSTALLBIN = /usr/bin
 DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
 INSTALLSITEBIN = /usr/local/bin
 DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
-INSTALLVENDORBIN = 
+INSTALLVENDORBIN = /usr/bin
 DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
-INSTALLSCRIPT = /usr/local/bin
+INSTALLSCRIPT = /usr/bin
 DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
 INSTALLSITESCRIPT = /usr/local/bin
 DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
-INSTALLVENDORSCRIPT = 
+INSTALLVENDORSCRIPT = /usr/bin
 DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
-INSTALLMAN1DIR = /usr/local/share/man/man1
+INSTALLMAN1DIR = /usr/share/man/man1
 DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
-INSTALLSITEMAN1DIR = /usr/local/share/man/man1
+INSTALLSITEMAN1DIR = /usr/local/man/man1
 DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
-INSTALLVENDORMAN1DIR = 
+INSTALLVENDORMAN1DIR = /usr/share/man/man1
 DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
-INSTALLMAN3DIR = /usr/local/share/man/man3
+INSTALLMAN3DIR = /usr/share/man/man3
 DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
-INSTALLSITEMAN3DIR = /usr/local/share/man/man3
+INSTALLSITEMAN3DIR = /usr/local/man/man3
 DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
-INSTALLVENDORMAN3DIR = 
+INSTALLVENDORMAN3DIR = /usr/share/man/man3
 DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
-PERL_LIB = /usr/local/lib/perl5/5.10.0
-PERL_ARCHLIB = /usr/local/lib/perl5/5.10.0/darwin-2level
+PERL_LIB = /usr/share/perl/5.12
+PERL_ARCHLIB = /usr/lib/perl/5.12
 LIBPERL_A = libperl.a
 FIRST_MAKEFILE = Makefile
 MAKEFILE_OLD = Makefile.old
 MAKE_APERL_FILE = Makefile.aperl
 PERLMAINCC = $(CC)
-PERL_INC = /usr/local/lib/perl5/5.10.0/darwin-2level/CORE
-PERL = /usr/local/bin/perl
-FULLPERL = /usr/local/bin/perl
+PERL_INC = /usr/lib/perl/5.12/CORE
+PERL = /usr/bin/perl
+FULLPERL = /usr/bin/perl
 ABSPERL = $(PERL)
 PERLRUN = $(PERL)
 FULLPERLRUN = $(FULLPERL)
@@ -132,12 +134,13 @@
 FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
 ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
 PERL_CORE = 0
+PERM_DIR = 755
 PERM_RW = 644
 PERM_RWX = 755
 
-MAKEMAKER   = /usr/local/lib/perl5/5.10.0/ExtUtils/MakeMaker.pm
-MM_VERSION  = 6.42
-MM_REVISION = 41145
+MAKEMAKER   = /usr/share/perl/5.12/ExtUtils/MakeMaker.pm
+MM_VERSION  = 6.62
+MM_REVISION = 66200
 
 # FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
 # BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
@@ -214,7 +217,7 @@
 
 
 # --- MakeMaker platform_constants section:
-MM_Unix_VERSION = 6.42
+MM_Unix_VERSION = 6.62
 PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc
 
 
@@ -226,12 +229,12 @@
 
 # --- MakeMaker tool_xsubpp section:
 
-XSUBPPDIR = /usr/local/lib/perl5/5.10.0/ExtUtils
+XSUBPPDIR = /usr/share/perl/5.12.4/ExtUtils
 XSUBPP = $(XSUBPPDIR)$(DFSEP)xsubpp
 XSUBPPRUN = $(PERLRUN) $(XSUBPP)
 XSPROTOARG = 
-XSUBPPDEPS = /usr/local/lib/perl5/5.10.0/ExtUtils/typemap $(XSUBPP)
-XSUBPPARGS = -typemap /usr/local/lib/perl5/5.10.0/ExtUtils/typemap
+XSUBPPDEPS = /usr/share/perl/5.12/ExtUtils/typemap $(XSUBPP)
+XSUBPPARGS = -typemap /usr/share/perl/5.12/ExtUtils/typemap
 XSUBPP_EXTRA_ARGS = 
 
 
@@ -240,7 +243,7 @@
 CHMOD = chmod
 CP = cp
 MV = mv
-NOOP = $(SHELL) -c true
+NOOP = $(TRUE)
 NOECHO = @
 RM_F = rm -f
 RM_RF = rm -rf
@@ -248,20 +251,22 @@
 TOUCH = touch
 UMASK_NULL = umask 0
 DEV_NULL = > /dev/null 2>&1
-MKPATH = $(ABSPERLRUN) "-MExtUtils::Command" -e mkpath
-EQUALIZE_TIMESTAMP = $(ABSPERLRUN) "-MExtUtils::Command" -e eqtime
+MKPATH = $(ABSPERLRUN) -MExtUtils::Command -e 'mkpath' --
+EQUALIZE_TIMESTAMP = $(ABSPERLRUN) -MExtUtils::Command -e 'eqtime' --
+FALSE = false
+TRUE = true
 ECHO = echo
 ECHO_N = echo -n
 UNINST = 0
 VERBINST = 0
-MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install({@ARGV}, '\''$(VERBINST)'\'', 0, '\''$(UNINST)'\'');' --
-DOC_INSTALL = $(ABSPERLRUN) "-MExtUtils::Command::MM" -e perllocal_install
-UNINSTALL = $(ABSPERLRUN) "-MExtUtils::Command::MM" -e uninstall
-WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) "-MExtUtils::Command::MM" -e warn_if_old_packlist
+MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install([ from_to => {@ARGV}, verbose => '\''$(VERBINST)'\'', uninstall_shadows => '\''$(UNINST)'\'', dir_mode => '\''$(PERM_DIR)'\'' ]);' --
+DOC_INSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'perllocal_install' --
+UNINSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'uninstall' --
+WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'warn_if_old_packlist' --
 MACROSTART = 
 MACROEND = 
 USEMAKEFILE = -f
-FIXIN = $(PERLRUN) "-MExtUtils::MY" -e "MY->fixin(shift)"
+FIXIN = $(ABSPERLRUN) -MExtUtils::MY -e 'MY->fixin(shift)' --
 
 
 # --- MakeMaker makemakerdflt section:
@@ -279,8 +284,8 @@
 
 # --- MakeMaker cflags section:
 
-CCFLAGS = -fno-common -DPERL_DARWIN -no-cpp-precomp -fno-strict-aliasing -pipe -I/usr/local/include -I/opt/local/include
-OPTIMIZE = -O3
+CCFLAGS = -D_REENTRANT -D_GNU_SOURCE -DDEBIAN -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
+OPTIMIZE = -O2 -g
 PERLTYPE = 
 MPOLLUTE = 
 
@@ -342,7 +347,7 @@
 	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cc
 
 .C$(OBJ_EXT):
-	$(CCCMD) $*.C
+	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.C
 
 
 # --- MakeMaker xs_c section:
@@ -388,34 +393,31 @@
 
 $(INST_LIBDIR)$(DFSEP).exists :: Makefile.PL
 	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
-	$(NOECHO) $(CHMOD) 755 $(INST_LIBDIR)
+	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_LIBDIR)
 	$(NOECHO) $(TOUCH) $(INST_LIBDIR)$(DFSEP).exists
 
 $(INST_ARCHLIB)$(DFSEP).exists :: Makefile.PL
 	$(NOECHO) $(MKPATH) $(INST_ARCHLIB)
-	$(NOECHO) $(CHMOD) 755 $(INST_ARCHLIB)
+	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHLIB)
 	$(NOECHO) $(TOUCH) $(INST_ARCHLIB)$(DFSEP).exists
 
 $(INST_AUTODIR)$(DFSEP).exists :: Makefile.PL
 	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
-	$(NOECHO) $(CHMOD) 755 $(INST_AUTODIR)
+	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_AUTODIR)
 	$(NOECHO) $(TOUCH) $(INST_AUTODIR)$(DFSEP).exists
 
 $(INST_ARCHAUTODIR)$(DFSEP).exists :: Makefile.PL
 	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
-	$(NOECHO) $(CHMOD) 755 $(INST_ARCHAUTODIR)
+	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHAUTODIR)
 	$(NOECHO) $(TOUCH) $(INST_ARCHAUTODIR)$(DFSEP).exists
 
 $(INST_BIN)$(DFSEP).exists :: Makefile.PL
 	$(NOECHO) $(MKPATH) $(INST_BIN)
-	$(NOECHO) $(CHMOD) 755 $(INST_BIN)
+	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_BIN)
 	$(NOECHO) $(TOUCH) $(INST_BIN)$(DFSEP).exists
 
 $(INST_SCRIPT)$(DFSEP).exists :: Makefile.PL
 	$(NOECHO) $(MKPATH) $(INST_SCRIPT)
-	$(NOECHO) $(CHMOD) 755 $(INST_SCRIPT)
+	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_SCRIPT)
 	$(NOECHO) $(TOUCH) $(INST_SCRIPT)$(DFSEP).exists
 
-$(INST_MAN1DIR)$(DFSEP).exists :: Makefile.PL
-	$(NOECHO) $(MKPATH) $(INST_MAN1DIR)
-	$(NOECHO) $(CHMOD) 755 $(INST_MAN1DIR)

=== debian/changelog ===
libyaml-libyaml-perl (0.38-3ubuntu0.12.10.1) quantal-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution via
    large yaml documents
    - debian/patches/CVE-2013-6393.patch: fix integer overflows in
      LibYAML/loader.c, LibYAML/reader.c, LibYAML/scanner.c,
      LibYAML/yaml_private.h.
    - CVE-2013-6393
  * SECURITY UPDATE: denial of service and possible code execution via
    heap overflow in yaml_parser_scan_uri_escapes
    - debian/patches/CVE-2014-2525.patch: properly handle memory in
      LibYAML/scanner.c, LibYAML/yaml_private.h.
    - CVE-2014-2525

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 02 Apr 2014 14:40:46 -0400

libyaml-libyaml-perl (0.38-3) unstable; urgency=low

  * Document copyright and license for embedded libyaml. Thanks to Niko
    Tyni for spotting. (Closes: #664196)
  * Bump debhelper build dependency to 9.20120312 to get all hardening
    flags.
  * Fix a grammatical error in the long description.

 -- gregor herrmann <gregoa@debian.org>  Fri, 16 Mar 2012 21:49:42 +0100

libyaml-libyaml-perl (0.38-2) unstable; urgency=medium

  * Team upload.

  [ Julián Moreno Patiño ]
  * Enable hardening flags. (Closes: #661548)
    + Switch compat level 8 to 9.
    + Add fix_ftbfs_hardening_flags.diff patch.
    + Bump debhelper version to 9.
  * Bump Standards-Version to 3.9.3.
    + Update to DEP5 copyright-format 1.0.
      + Add /me to debian copyright.

  [ Niko Tyni ]
  * Note that this fixes CVE-2012-1152.
  * Upload at urgency=medium

 -- Niko Tyni <ntyni@debian.org>  Sat, 10 Mar 2012 08:57:07 +0200

libyaml-libyaml-perl (0.38-1) unstable; urgency=low

  * New upstream release.
  * Update copyright years.

 -- gregor herrmann <gregoa@debian.org>  Tue, 10 Jan 2012 19:09:44 +0100

=== debian/control ===
Source: libyaml-libyaml-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 9.20120312), perl, libyaml-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Ryan Niebur <ryan@debian.org>, Jonathan Yu <jawnsy@cpan.org>,
 Krzysztof Krzyżaniak (eloy) <eloy@debian.org>,
 gregor herrmann <gregoa@debian.org>
Standards-Version: 3.9.3
Homepage: http://search.cpan.org/dist/YAML-LibYAML/
Vcs-Git: git://git.debian.org/pkg-perl/packages/libyaml-libyaml-perl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libyaml-libyaml-perl.git

Package: libyaml-libyaml-perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Perl interface to libyaml, a YAML implementation
 YAML::LibYAML (or YAML::XS) is a Perl interface to Kirill Siminov's libyaml
 library, a YAML Ain't Markup Language (YAML) implementation written in C to
 support the YAML 1.1 specification. The provided Dump and Load routines
 are compatible with the Perl YAML module (see libyaml-perl).

## libyaml-libyaml-perl 0.41

=== LibYAML/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # This Makefile is for the YAML::XS::LibYAML extension to perl.
 #
 # It was generated automatically by MakeMaker version
-# 6.62 (Revision: 66200) from the contents of
+# 6.64 (Revision: 66400) from the contents of
 # Makefile.PL. Don't edit this file, edit Makefile.PL instead.
 #
 #       ANY CHANGES MADE HERE WILL BE LOST!
@@ -21,13 +21,14 @@
 #     NAME => q[YAML::XS::LibYAML]
 #     OBJECT => q[api.o dumper.o emitter.o loader.o parser.o perl_libyaml.o reader.o scanner.o writer.o LibYAML.o]
 #     PREREQ_PM => {  }
+#     TEST_REQUIRES => {  }
 
 # --- MakeMaker post_initialize section:
 
 
 # --- MakeMaker const_config section:
 
-# These definitions are from config.sh (via /usr/lib/perl/5.12/Config.pm).
+# These definitions are from config.sh (via /usr/lib/perl/5.14/Config.pm).
 # They may have been overridden via Makefile.PL or on the command line.
 AR = ar
 CC = cc
@@ -44,10 +45,10 @@
 LIB_EXT = .a
 OBJ_EXT = .o
 OSNAME = linux
-OSVERS = 2.6.24-28-server
+OSVERS = 2.6.42-32-generic
 RANLIB = :
-SITELIBEXP = /usr/local/share/perl/5.12.4
-SITEARCHEXP = /usr/local/lib/perl/5.12.4
+SITELIBEXP = /usr/local/share/perl/5.14.2
+SITEARCHEXP = /usr/local/lib/perl/5.14.2
 SO = so
 VENDORARCHEXP = /usr/lib/perl5
 VENDORLIBEXP = /usr/share/perl5
@@ -80,15 +81,15 @@
 PERLPREFIX = /usr
 SITEPREFIX = /usr/local
 VENDORPREFIX = /usr
-INSTALLPRIVLIB = /usr/share/perl/5.12
+INSTALLPRIVLIB = /usr/share/perl/5.14
 DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
-INSTALLSITELIB = /usr/local/share/perl/5.12.4
+INSTALLSITELIB = /usr/local/share/perl/5.14.2
 DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
 INSTALLVENDORLIB = /usr/share/perl5
 DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
-INSTALLARCHLIB = /usr/lib/perl/5.12
+INSTALLARCHLIB = /usr/lib/perl/5.14
 DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
-INSTALLSITEARCH = /usr/local/lib/perl/5.12.4
+INSTALLSITEARCH = /usr/local/lib/perl/5.14.2
 DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
 INSTALLVENDORARCH = /usr/lib/perl5
 DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
@@ -116,14 +117,14 @@
 DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
 INSTALLVENDORMAN3DIR = /usr/share/man/man3
 DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
-PERL_LIB = /usr/share/perl/5.12
-PERL_ARCHLIB = /usr/lib/perl/5.12
+PERL_LIB = /usr/share/perl/5.14
+PERL_ARCHLIB = /usr/lib/perl/5.14
 LIBPERL_A = libperl.a
 FIRST_MAKEFILE = Makefile
 MAKEFILE_OLD = Makefile.old
 MAKE_APERL_FILE = Makefile.aperl
 PERLMAINCC = $(CC)
-PERL_INC = /usr/lib/perl/5.12/CORE
+PERL_INC = /usr/lib/perl/5.14/CORE
 PERL = /usr/bin/perl
 FULLPERL = /usr/bin/perl
 ABSPERL = $(PERL)
@@ -138,9 +139,9 @@
 PERM_RW = 644
 PERM_RWX = 755
 
-MAKEMAKER   = /usr/share/perl/5.12/ExtUtils/MakeMaker.pm
-MM_VERSION  = 6.62
-MM_REVISION = 66200
+MAKEMAKER   = /usr/share/perl/5.14/ExtUtils/MakeMaker.pm
+MM_VERSION  = 6.64
+MM_REVISION = 66400
 
 # FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
 # BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
@@ -217,24 +218,24 @@
 
 
 # --- MakeMaker platform_constants section:
-MM_Unix_VERSION = 6.62
+MM_Unix_VERSION = 6.64
 PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc
 
 
 # --- MakeMaker tool_autosplit section:
 # Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
-AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1)' --
+AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$$$ARGV[0], $$$$ARGV[1], 0, 1, 1)' --
 
 
 
 # --- MakeMaker tool_xsubpp section:
 
-XSUBPPDIR = /usr/share/perl/5.12.4/ExtUtils
+XSUBPPDIR = /usr/share/perl/5.14.2/ExtUtils
 XSUBPP = $(XSUBPPDIR)$(DFSEP)xsubpp
 XSUBPPRUN = $(PERLRUN) $(XSUBPP)
 XSPROTOARG = 
-XSUBPPDEPS = /usr/share/perl/5.12/ExtUtils/typemap $(XSUBPP)
-XSUBPPARGS = -typemap /usr/share/perl/5.12/ExtUtils/typemap
+XSUBPPDEPS = /usr/share/perl/5.14/ExtUtils/typemap $(XSUBPP)
+XSUBPPARGS = -typemap /usr/share/perl/5.14/ExtUtils/typemap
 XSUBPP_EXTRA_ARGS = 
 
 
@@ -419,5 +420,3 @@
 $(INST_SCRIPT)$(DFSEP).exists :: Makefile.PL
 	$(NOECHO) $(MKPATH) $(INST_SCRIPT)
 	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_SCRIPT)
-	$(NOECHO) $(TOUCH) $(INST_SCRIPT)$(DFSEP).exists
-

=== debian/changelog ===
libyaml-libyaml-perl (0.41-6build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Dec 2015 16:26:44 +0000

libyaml-libyaml-perl (0.41-6) unstable; urgency=high

  * Team upload.
  * Add CVE-2014-9130.patch patch.
    Fix CVE-2014-9130: assertion failure caused by wrapped strings.
    (Closes: 771365)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 29 Nov 2014 08:23:09 +0100

libyaml-libyaml-perl (0.41-5) unstable; urgency=high

  * Team upload.

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Add CVE-2014-2525.patch patch.
    CVE-2014-2525: Heap overflow when parsing YAML tags.
    The heap overflow is caused by not properly expanding a string before
    writing to it in function yaml_parser_scan_uri_escapes in scanner.c.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 23 Mar 2014 08:32:24 +0100

libyaml-libyaml-perl (0.41-4) unstable; urgency=medium

  * Team upload.
  * Add libyaml-string-overflow.patch patch.
    Addresses CVE-2013-6393 for the LibYAML embedded copy in YAML::LibYAML.
  * Add libyaml-node-id-hardening.patch patch.
    Guard against integer overflow.
  * Add libyaml-guard-against-overflows-in-indent-and-flow_level.patch patch.
    Guard against overflows in indent and flow_level.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 23 Feb 2014 22:28:32 +0100

libyaml-libyaml-perl (0.41-3) unstable; urgency=medium

  * Team upload.
  * Revert applying libyaml-node-id-hardening.patch patch,
    libyaml-indent-column-overflow-v2.patch and
    libyaml-string-overflow.patch patch as this uncovered a regression
    on libyaml's side, discovered when rebuilding the packages with
    build-dependency on libyaml-libyaml-perl.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 10 Feb 2014 16:16:32 +0100

libyaml-libyaml-perl (0.41-2) unstable; urgency=medium

  * Team upload.
  * Add libyaml-string-overflow.patch patch.
    Addresses CVE-2013-6393 for the LibYAML embedded copy in YAML::LibYAML.
  * Add libyaml-indent-column-overflow-v2.patch.
    Addresses regression for the initial patch for CVE-2013-6393.
  * Add libyaml-node-id-hardening.patch patch.
    Guard against integer overflow.
  * Declare compliance with Debian Policy 3.9.5

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 09 Feb 2014 00:16:03 +0100

libyaml-libyaml-perl (0.41-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * New upstream release.
  * Update years of copyright.
  * Add patch to disable maintainer helper script.
  * Drop build dependency on not (yet) used libyaml-dev.
  * Declare compliance with Debian Policy 3.9.4.

 -- gregor herrmann <gregoa@debian.org>  Fri, 11 Oct 2013 18:37:51 +0200

=== debian/control ===
Source: libyaml-libyaml-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 9.20120312),
               perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Ryan Niebur <ryan@debian.org>,
           Jonathan Yu <jawnsy@cpan.org>,
           Krzysztof Krzyżaniak (eloy) <eloy@debian.org>,
           gregor herrmann <gregoa@debian.org>
Standards-Version: 3.9.5
Homepage: https://metacpan.org/release/YAML-LibYAML
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libyaml-libyaml-perl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libyaml-libyaml-perl.git

Package: libyaml-libyaml-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl interface to libyaml, a YAML implementation
 YAML::LibYAML (or YAML::XS) is a Perl interface to Kirill Siminov's libyaml
 library, a YAML Ain't Markup Language (YAML) implementation written in C to
 support the YAML 1.1 specification. The provided Dump and Load routines
 are compatible with the Perl YAML module (see libyaml-perl).

## libyaml-libyaml-perl 0.63

=== debian/changelog ===
libyaml-libyaml-perl (0.63-2) unstable; urgency=medium

  * Team upload.
  * Load B::Deparse at runtime.
    Thanks to Eric Wong <e@80x24.org> for the report (Closes: #849843)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 05 Jan 2017 06:42:48 +0100

libyaml-libyaml-perl (0.63-1) unstable; urgency=medium

  [ gregor herrmann ]
  * New upstream releases 0.43, 0.44, 0.45.
  * Update copyright years. Drop information about removed files.
  * Install new CONTRIBUTING file.
  * Add debian/upstream/metadata.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Imported upstream version 0.52.
  * Mark package as autopkgtest-able.

  * Import upstream version 0.60.
  * Drop a bunch of patches which all have been applied upstream.
  * Update years of upstream and packaging copyright.

  * Import upstream version 0.62
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Remove Ryan Niebur from Uploaders. Thanks for your work!

  * Import upstream version 0.63
  * Set bindnow linker flag in debian/rules.
  * Declare compliance with Debian Policy 3.9.8.
  * Add lintian override for embedded libyaml.

  * One of those upstream releases since 0.41 also closes: #834999
    according to the test cases Marco d'Itri provided in the bug report.

 -- gregor herrmann <gregoa@debian.org>  Fri, 26 Aug 2016 19:46:11 +0200

=== debian/control ===
Source: libyaml-libyaml-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Krzysztof Krzyżaniak (eloy) <eloy@debian.org>,
           gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper (>= 9.20120312),
               perl
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libyaml-libyaml-perl.git
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libyaml-libyaml-perl.git
Homepage: https://metacpan.org/release/YAML-LibYAML

Package: libyaml-libyaml-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl interface to libyaml, a YAML implementation
 YAML::LibYAML (or YAML::XS) is a Perl interface to Kirill Siminov's libyaml
 library, a YAML Ain't Markup Language (YAML) implementation written in C to
 support the YAML 1.1 specification. The provided Dump and Load routines
 are compatible with the Perl YAML module (see libyaml-perl).

## libyaml-libyaml-perl 0.69+repack

=== debian/changelog ===
libyaml-libyaml-perl (0.69+repack-1) unstable; urgency=medium

  * Team upload

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Damyan Ivanov ]
  * use system-wide libyaml instead of a bundled copy
    Closes: #664224
    add Exclude-Files: to debian/copyright removing the bundled copy
    add system-libyaml.patch adding linkage with system libyaml
  * New upstream version 0.69+repack
  * watch: add dversionmangle removing +repack suffix
  * bump years of upstream copyright
  * add libyaml-dev to build dependencies
  * drop Load-B-Deparse-at-runtime.patch (applied upstream)
  * declare compliance with Policy 4.1.3
  * add pod-spelling.patch, fixing an "allows to" phrasing
  * bump debhelper compatibility level to 11

 -- Damyan Ivanov <dmn@debian.org>  Sun, 21 Jan 2018 22:22:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: libyaml-libyaml-perl
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
-Uploaders: Krzysztof Krzyżaniak (eloy) <eloy@debian.org>,
-           gregor herrmann <gregoa@debian.org>
+Uploaders: gregor herrmann <gregoa@debian.org>
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 9.20120312),
+Build-Depends: debhelper (>= 11~),
+               libyaml-dev,
                perl
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libyaml-libyaml-perl.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libyaml-libyaml-perl.git
 Homepage: https://metacpan.org/release/YAML-LibYAML

=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack.*// \
https://metacpan.org/release/YAML-LibYAML   .*/YAML-LibYAML-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## libyaml-libyaml-perl 0.74+repack

=== debian/changelog ===
libyaml-libyaml-perl (0.74+repack-1) unstable; urgency=medium

  * Import upstream version 0.74+repack.
  * Declare compliance with Debian Policy 4.2.1.

 -- gregor herrmann <gregoa@debian.org>  Fri, 07 Sep 2018 19:20:07 +0200

libyaml-libyaml-perl (0.72+repack-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Add repacksuffix in debian/watch.

  * Import upstream version 0.72.
  * Drop pod-spelling.patch, applied upstream.
  * Refresh system-libyaml.patch (offset).
  * Make build dependency on libyaml-dev versioned.
  * Update years of upstream and packaging copyright.
  * Declare compliance with Debian Policy 4.1.5.

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Jul 2018 19:53:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
 Build-Depends: debhelper (>= 11~),
-               libyaml-dev,
+               libyaml-dev (>= 0.2.1),
                perl
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libyaml-libyaml-perl.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libyaml-libyaml-perl.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libyaml-libyaml-perl
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libyaml-libyaml-perl.git
 Homepage: https://metacpan.org/release/YAML-LibYAML
 
 Package: libyaml-libyaml-perl

## libyaml-libyaml-perl 0.76+repack

=== debian/changelog ===
libyaml-libyaml-perl (0.76+repack-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:35:23 +0800

libyaml-libyaml-perl (0.76+repack-1) unstable; urgency=medium

  * Import upstream version 0.76+repack.
  * Refresh system-libyaml.patch (offset).
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.3.0.

 -- gregor herrmann <gregoa@debian.org>  Thu, 03 Jan 2019 23:56:13 +0100

libyaml-libyaml-perl (0.75+repack-1) unstable; urgency=medium

  * Import upstream version 0.75+repack.
  * Refresh system-libyaml.patch (offset).
  * Remove trailing whitespace from debian/*.

 -- gregor herrmann <gregoa@debian.org>  Fri, 09 Nov 2018 20:13:34 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

export USE_SYSTEM_LIBYAML = 1

%:
	dh $@

=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack.*//,repacksuffix=+repack \
https://metacpan.org/release/YAML-LibYAML   .*/YAML-LibYAML-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
